"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const cli_ux_1 = require("cli-ux");
const abap_1 = require("../lib/abap");
class List extends command_1.Command {
    async run() {
        try {
            cli_ux_1.cli.table(abap_1.supportedTypes, {
                type: {},
                desc: { header: "description" }
            });
        }
        catch (error) {
            this.log(error.toString());
        }
    }
}
exports.default = List;
List.description = "List supported object types";
List.examples = ["$ abapPretty supportedtypes"];
