export interface ConnDetails {
    id: string;
    baseUrl: string;
    userName: string;
    password: string;
    client?: string;
    certPath?: string;
    nosslvalidation?: boolean;
}
export declare function getConnection(id: string): ConnDetails | undefined;
export declare function getConnections(): {
    password: string;
    id: string;
    baseUrl: string;
    userName: string;
    client?: string | undefined;
    certPath?: string | undefined;
    nosslvalidation?: boolean | undefined;
}[];
export declare function saveConnection(conn: ConnDetails): void;
