import { AbapObject } from "./lib/abap";
import { ADTClient } from "abap-adt-api";
import { ListOptions } from "./lib/common";
export interface Options {
    test: boolean;
    transport?: string;
}
export declare class Main {
    private client;
    abapLint?: string | undefined;
    constructor(client: ADTClient, abapLint?: string | undefined);
    private readonly status;
    private tryLock;
    private validateTransport;
    private activate;
    private write;
    private format;
    private processInclude;
    private stats;
    processObjects(objects: AbapObject[], options: Options): Promise<void>;
    list(type: string, name: string, options: ListOptions): Promise<AbapObject[]>;
}
