import { Command, flags } from "@oclif/command";
export default class Login extends Command {
    static description: string;
    static examples: string[];
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static flags: {
        client: flags.IOptionFlag<string | undefined>;
        "skip-ssl-validation": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        certPath: flags.IOptionFlag<string | undefined>;
    };
    run(): Promise<void>;
}
