import { Command } from "@oclif/command";
export default class Simulate extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        transport: import("@oclif/command/lib/flags").IOptionFlag<string>;
        abaplint: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        file: import("@oclif/command/lib/flags").IOptionFlag<string>;
        connectionId: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        ashost: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        user: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        client: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "skip-ssl-validation": import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        certPath: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        password: import("@oclif/command/lib/flags").IOptionFlag<string>;
        recursive: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        default: string;
        description: string;
    }[];
    run(): Promise<void>;
}
